You need Subversion to check out the source code from our source code repository, and Maven 2 to build the source code. Currently, Maven 2.0.5 or 2.0.7 or newer is required for the build.

The following example shows how to build the trunk.

$ svn co ftpserver
$ cd ftpserver
$ mvn install

If you run into any problems running these steps, please report on the mailing lists

If you want to generate Eclipse project files, run:

$ mvn eclipse:eclipse   # Generate Eclipse project files if you want

To generate to distribution packages, including shell scripts and example configuration, run:

cd distribution
$ mvn package

The build requires a minimum Java 1.5 JDK to compile.